Bug 129750 - WebCrypto HmacKeyParams.length is now bits, not bytes
Summary: WebCrypto HmacKeyParams.length is now bits, not bytes
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore Misc. (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks: 160894
  Show dependency treegraph
 
Reported: 2014-03-05 11:38 PST by Alexey Proskuryakov
Modified: 2016-10-24 23:12 PDT (History)
9 users (show)

See Also:


Attachments
Patch (10.35 KB, patch)
2014-11-03 01:49 PST, iseki
ap: review-
Details | Formatted Diff | Diff
TestResults.pdf (244.92 KB, application/pdf)
2014-11-03 02:00 PST, iseki
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alexey Proskuryakov 2014-03-05 11:38:38 PST
The spec has changed, WebCrypto HmacKeyParams.length is now in bits, not bytes.

This makes it consistent with other lengths.
Comment 1 iseki 2014-11-03 01:49:53 PST
Created attachment 240835 [details]
Patch
Comment 2 WebKit Commit Bot 2014-11-03 01:51:45 PST
Attachment 240835 [details] did not pass style-queue:


ERROR: LayoutTests/ChangeLog:6:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Source/WebCore/dom/ExceptionCode.h:64:  enum members should use InterCaps with an initial capital letter.  [readability/enum_casing] [4]
ERROR: Source/WebCore/ChangeLog:8:  You should remove the 'No new tests' and either add and list tests, or explain why no new tests were possible.  [changelog/nonewtests] [5]
Total errors found: 3 in 12 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 3 iseki 2014-11-03 02:00:53 PST
Created attachment 240836 [details]
TestResults.pdf

This file is the result of the commonad "./Tools/Scripts/run-webkit-tests -q /$USER_PATH/WebKit/LayoutTests/crypto/subtle/l"
Comment 4 iseki 2014-11-03 02:36:16 PST
Sorry, please ignore the patch at Comment2.
I should not add new error code into DOMCoreExceprion.

@Alexey Proskuryakov
I'm new to WebKit.
Would you mind helping me to fix this bug?

I think I should make new ExceptionFile like IDBDatabaseException[1] to handle DATA_ERR.

[1]https://trac.webkit.org/browser/trunk/Source/WebCore/Modules/indexeddb/IDBDatabaseException.h
Comment 5 Alexey Proskuryakov 2014-11-03 09:13:01 PST
Comment on attachment 240835 [details]
Patch

We already shipped it like this, so we can't just fix it without aligning with the rest of the spec, and removing webkit prefix.

Otherwise, there is no good way for JS code to know what units the length is in.
Comment 6 iseki 2014-11-03 14:50:08 PST
Thank you for your answering.
Is there plan to remove WebKit prefix?
Comment 7 Alexey Proskuryakov 2014-11-03 15:02:07 PST
I don't think that anyone is working on this now.

It may be best to start a parallel implementation under an #if, and enable it when done. There were so many changes in the spec since last year that it should be easier to implement it from scratch than to fix the old implementation.
Comment 8 Radar WebKit Bug Importer 2016-08-15 17:45:59 PDT
<rdar://problem/27857924>
Comment 9 Jiewen Tan 2016-10-24 23:12:39 PDT
This bug is fixed by Bug 163718.